;+
;Procedure: mva_crib
;
;Purpose:  A crib on showing how to transform into minimum variance
;analysis coordinates

;Notes:
;
; $LastChangedBy: aaflores $
; $LastChangedDate: 2013-04-01 15:47:32 -0700 (Mon, 01 Apr 2013) $
; $LastChangedRevision: 11930 $
; $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/thmsoc/tags/tdas_8_00/idl/themis/examples/mva_crib.pro $
;-

del_data,'*'

;timespan,'2007-07-10/07:48:00',16,/minute
timespan,'2007-07-10/08:10:00',22,/minute

thm_load_fgm,probe='c',coord='gse',level=2

;default call just makes a single transformation matrix that covers
;the entire interval
minvar_matrix_make,'thc_fgs_gse',tstart='2007-07-10/07:54:00',tstop='2007-07-10/07:56:30'

tvector_rotate,'thc_fgs_gse_mva_mat','thc_fgs_gse',newname='mva_data_single'

options,'mva_data_single',labels=['maxvar','midvar','minvar']
options,'mva_data_single',labflag=1

tplot,'thc_fgs_gse mva_data_single'

;used for an old time
;tlimit,'2007-05-30/10:00:00','2007-05-30/14:00:00'

print,'Here''s the fgm data translated into mva coordinates using a single transformation matrix'

stop

timespan,'2007-07-10/07:30:00',1,/hour

thm_load_fgm,probe='c',coord='gse',level=2

minvar_matrix_make,'thc_fgs_gse',twindow=600,tslide=300

tvector_rotate,'thc_fgs_gse_mva_mat','thc_fgs_gse',newname='mva_data_ten_min'

options,'mva_data_ten_min',labels=['maxvar','midvar','minvar']
options,'mva_data_ten_min',labflag=1

tplot,'thc_fgs_gse mva_data_ten_min'

print,'Here''s the fgm data translated into mva coordinates using a 10 minute window every 5 minutes'

stop

minvar_matrix_make,'thc_fgs_gse',twindow=300,tslide=150

tvector_rotate,'thc_fgs_gse_mva_mat','thc_fgs_gse',newname='mva_data_five_min'

options,'mva_data_five_min',labels=['maxvar','midvar','minvar']
options,'mva_data_five_min',labflag=1



tplot,'thc_fgs_gse mva_data_five_min'

print,'Here''s the fgm data translated into mva coordinates using a 5 minute window every 2.5 minutes'

stop

tplot,'thc_fgs_gse mva_data_*'

print,'Here''s all 3'

end

