;+
;
;thm_ui_draw_object method: createInstance
;
;This routine creates an instance of the static components
;of any display, it also leaves only the dynamic components
;unhidden after it is complete, so the draw object is ready 
;for instance based drawing
;
;See IDL Help documentation on instances.  The short explanantion
;is that instances are used in object graphics to make draws,
;much much faster.
; 
;$LastChangedBy: pcruce $
;$LastChangedDate: 2010-08-25 18:05:01 -0700 (Wed, 25 Aug 2010) $
;$LastChangedRevision: 7774 $
;$URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/thmsoc/tags/tdas_8_00/idl/themis/thm_ui_new/display/draw_object/thm_ui_draw_object__createinstance.pro $
;-

pro thm_ui_draw_object::createInstance

  compile_opt idl2
  
  ;instancing should only be done on window objects,
  ;but since this method is called at the end of updates,
  ;we need to be certain we don't try to instance a printer or postscript
  if obj_isa(self.destination,'IDLgrWindow') then begin
 ; if 0 then begin
  
    ;hide only the dynamic components of the image
    self->setModelHide,self.staticViews,0
    self->setModelHide,self.dynamicViews,1
    self->setLegendHide
    
    self.destination->draw,self.scene,create_instance=1
    
    ;hide only the static components of the image
    self->setModelHide,self.dynamicViews,0
    self->setModelHide,self.staticViews,1
    self->setLegendHide,/dynamic
 
    self->setCursor,self.cursorLoc
    
   ; self->draw
  
  endif
  
end