;+
;thm_ui_draw_object method: getVariablesRowSizes
;
;Purpose:
;  generates an array that indicates the space variables will occupy for
;    each row in the layout, sizes are in pts
;  
;  INPUTS:
;    an array of thm_ui_panels
;    
;  OUTPUTS:
;    an array of sizes in pts
;
;$LastChangedBy: pcruce $
;$LastChangedDate: 2010-08-25 18:05:01 -0700 (Wed, 25 Aug 2010) $
;$LastChangedRevision: 7774 $
;$URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/thmsoc/tags/tdas_8_00/idl/themis/thm_ui_new/display/draw_object/thm_ui_draw_object__getvariablerowsizes.pro $
;-
function thm_ui_draw_object::getVariableRowSizes,panels

  panel_layouts = self->getPanelLayouts(panels)
  
  max_row = max(panel_layouts[*].row+panel_layouts[*].rSpan-1)
  
  row_sizes = dblarr(max_row)
  
  for i = 0,max_row-1 do begin
  
    idx = where(panel_layouts[*].row+panel_layouts[*].rSpan-2 eq i,c)
    
    if c gt 0 then begin
      row_sizes[i] = self->getVariableSize(panels[idx])
    endif
  
  endfor
  
  return,row_sizes
  
end