;+
;
;thm_ui_draw_object method: norm2pt
;
;converts back from the normalized value into points,
;While the normalized value is dependent on screen dimensions
;zoom, & resolution.  The value in points should be an
;absolute quantity
;
;Inputs:
;  Value(numeric or array of numerics):  A value in screen normal coords
;  xy(boolean) 0 : convert from x-axis, 1:convert from y-axis(because screen dims differ, axis must be specified)
;
;
;$LastChangedBy: pcruce $
;$LastChangedDate: 2010-08-25 18:05:01 -0700 (Wed, 25 Aug 2010) $
;$LastChangedRevision: 7774 $
;$URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/thmsoc/tags/tdas_8_00/idl/themis/thm_ui_new/display/draw_object/thm_ui_draw_object__norm2pt.pro $
;-
function thm_ui_draw_object::norm2pt,value,xy

  compile_opt idl2
  
  pt2mm = 127D/360D
  mm2cm = .1D
  
  dim = self->getDim()
  
  self.destination->getProperty,resolution=r
  
  dim /= self->getZoom()
  
  v = value*r[xy]*dim[xy]
  
  return,v/(pt2mm*mm2cm)
  
end