;+
;
;thm_ui_draw_object method: setModelHide
;
;This routine sets the hide values for all the models inside the views that it receives as an argument
;It just exists to remove some duplication that occurs when generating an instanced display
;This is a recursive function
;
;Inputs:
;  hidevalue(boolean): The value that the hide flag will be set to.
;
;$LastChangedBy: pcruce $
;$LastChangedDate: 2010-08-25 18:05:01 -0700 (Wed, 25 Aug 2010) $
;$LastChangedRevision: 7774 $
;$URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/thmsoc/tags/tdas_8_00/idl/themis/thm_ui_new/display/draw_object/thm_ui_draw_object__setmodelhide.pro $
;-

pro thm_ui_draw_object::setModelHide,input,hideValue

  compile_opt idl2
 
  if obj_isa(input,'IDLgrModel') then begin
    input->setProperty,hide=hideValue
  endif else if obj_isa(input,'IDL_Container') then begin
    list = input->get(/all,count=c)
  
    if c gt 0 then begin
      for i = 0,c-1 do begin
      
        self->setModelHide,list[i],hideValue
      
      endfor
    endif
  endif 
    
end